diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/olsr/test/bug780-test.h ns-3.44/src/olsr/test/bug780-test.h
--- ns-3.43/src/olsr/test/bug780-test.h	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/olsr/test/bug780-test.h	2025-03-09 16:55:49.683372300 -0700
@@ -21,8 +21,8 @@
 {
 
 /**
- * \ingroup olsr-test
- * \ingroup tests
+ * @ingroup olsr-test
+ * @ingroup tests
  *
  * See \bugid{780}
  */
@@ -42,7 +42,7 @@
     void SendPing();
     /**
      * Receive echo reply
-     * \param socket the socket
+     * @param socket the socket
      */
     void Receive(Ptr<Socket> socket);
     /// Socket
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/olsr/test/hello-regression-test.h ns-3.44/src/olsr/test/hello-regression-test.h
--- ns-3.43/src/olsr/test/hello-regression-test.h	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/olsr/test/hello-regression-test.h	2025-03-09 16:55:49.683372300 -0700
@@ -20,10 +20,10 @@
 namespace olsr
 {
 /**
- * \ingroup olsr-test
- * \ingroup tests
+ * @ingroup olsr-test
+ * @ingroup tests
  *
- * \brief Trivial (still useful) test of OLSR operation
+ * @brief Trivial (still useful) test of OLSR operation
  *
  * This test creates 2 stations with point-to-point link and runs OLSR without any extra traffic.
  * It is expected that only HELLO messages will be sent.
@@ -54,7 +54,7 @@
 
     /**
      * Receive raw data on node A
-     * \param socket receiving socket
+     * @param socket receiving socket
      */
     void ReceivePktProbeA(Ptr<Socket> socket);
     /// Packet counter on node A
@@ -63,7 +63,7 @@
     Ptr<Ipv4RawSocketImpl> m_rxSocketA;
     /**
      * Receive raw data on node B
-     * \param socket receiving socket
+     * @param socket receiving socket
      */
     void ReceivePktProbeB(Ptr<Socket> socket);
     /// Packet counter on node B
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/olsr/test/olsr-header-test-suite.cc ns-3.44/src/olsr/test/olsr-header-test-suite.cc
--- ns-3.43/src/olsr/test/olsr-header-test-suite.cc	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/olsr/test/olsr-header-test-suite.cc	2025-03-09 16:55:49.683372300 -0700
@@ -14,8 +14,8 @@
 using namespace ns3;
 
 /**
- * \ingroup olsr-test
- * \ingroup tests
+ * @ingroup olsr-test
+ * @ingroup tests
  *
  * Check Emf olsr time conversion
  */
@@ -43,8 +43,8 @@
 }
 
 /**
- * \ingroup olsr-test
- * \ingroup tests
+ * @ingroup olsr-test
+ * @ingroup tests
  *
  * Check Mid olsr messages
  */
@@ -156,8 +156,8 @@
 }
 
 /**
- * \ingroup olsr-test
- * \ingroup tests
+ * @ingroup olsr-test
+ * @ingroup tests
  *
  * Check Hello olsr messages
  */
@@ -227,8 +227,8 @@
 }
 
 /**
- * \ingroup olsr-test
- * \ingroup tests
+ * @ingroup olsr-test
+ * @ingroup tests
  *
  * Check Tc olsr messages
  */
@@ -270,8 +270,8 @@
 }
 
 /**
- * \ingroup olsr-test
- * \ingroup tests
+ * @ingroup olsr-test
+ * @ingroup tests
  *
  * Check Hna olsr messages
  */
@@ -316,8 +316,8 @@
 }
 
 /**
- * \ingroup olsr-test
- * \ingroup tests
+ * @ingroup olsr-test
+ * @ingroup tests
  *
  * Check olsr header messages
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/olsr/test/olsr-routing-protocol-test-suite.cc ns-3.44/src/olsr/test/olsr-routing-protocol-test-suite.cc
--- ns-3.43/src/olsr/test/olsr-routing-protocol-test-suite.cc	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/olsr/test/olsr-routing-protocol-test-suite.cc	2025-03-09 16:55:49.683372300 -0700
@@ -14,16 +14,16 @@
 #include "ns3/test.h"
 
 /**
- * \ingroup olsr
- * \defgroup olsr-test olsr module tests
+ * @ingroup olsr
+ * @defgroup olsr-test olsr module tests
  */
 
 using namespace ns3;
 using namespace olsr;
 
 /**
- * \ingroup olsr-test
- * \ingroup tests
+ * @ingroup olsr-test
+ * @ingroup tests
  *
  * Testcase for MPR computation mechanism
  */
@@ -164,8 +164,8 @@
 }
 
 /**
- * \ingroup olsr-test
- * \ingroup tests
+ * @ingroup olsr-test
+ * @ingroup tests
  *
  * OLSR protocol test suite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/olsr/test/regression-test-suite.cc ns-3.44/src/olsr/test/regression-test-suite.cc
--- ns-3.43/src/olsr/test/regression-test-suite.cc	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/olsr/test/regression-test-suite.cc	2025-03-09 16:55:49.683372300 -0700
@@ -14,8 +14,8 @@
 using namespace olsr;
 
 /**
- * \ingroup olsr-test
- * \ingroup tests
+ * @ingroup olsr-test
+ * @ingroup tests
  *
  * Various olsr regression tests
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/olsr/test/tc-regression-test.h ns-3.44/src/olsr/test/tc-regression-test.h
--- ns-3.43/src/olsr/test/tc-regression-test.h	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/olsr/test/tc-regression-test.h	2025-03-09 16:55:49.683372300 -0700
@@ -20,10 +20,10 @@
 namespace olsr
 {
 /**
- * \ingroup olsr-test
- * \ingroup tests
+ * @ingroup olsr-test
+ * @ingroup tests
  *
- * \brief Less trivial test of OLSR Topology Control message generation
+ * @brief Less trivial test of OLSR Topology Control message generation
  *
  * This test simulates 3 Wi-Fi stations with chain topology and runs OLSR without any extra traffic.
  * It is expected that only second station will send TC messages.
@@ -83,7 +83,7 @@
 
     /**
      * Receive raw data on node A
-     * \param socket receiving socket
+     * @param socket receiving socket
      */
     void ReceivePktProbeA(Ptr<Socket> socket);
     /// Packet counter on node A
@@ -93,7 +93,7 @@
 
     /**
      * Receive raw data on node B
-     * \param socket receiving socket
+     * @param socket receiving socket
      */
     void ReceivePktProbeB(Ptr<Socket> socket);
     /// Packet counter on node B
@@ -103,7 +103,7 @@
 
     /**
      * Receive raw data on node C
-     * \param socket receiving socket
+     * @param socket receiving socket
      */
     void ReceivePktProbeC(Ptr<Socket> socket);
     /// Packet counter on node C
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/openflow/examples/openflow-switch.cc ns-3.44/src/openflow/examples/openflow-switch.cc
--- ns-3.43/src/openflow/examples/openflow-switch.cc	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/openflow/examples/openflow-switch.cc	2025-03-09 16:55:49.683372300 -0700
@@ -41,7 +41,7 @@
 
 bool verbose = false;
 bool use_drop = false;
-ns3::Time timeout = ns3::Seconds(0);
+ns3::Time timeout;
 
 bool
 SetVerbose(const std::string& value)
@@ -166,14 +166,14 @@
 
     ApplicationContainer app = onoff.Install(terminals.Get(0));
     // Start the application
-    app.Start(Seconds(1.0));
-    app.Stop(Seconds(10.0));
+    app.Start(Seconds(1));
+    app.Stop(Seconds(10));
 
     // Create an optional packet sink to receive these packets
     PacketSinkHelper sink("ns3::UdpSocketFactory",
                           Address(InetSocketAddress(Ipv4Address::GetAny(), port)));
     app = sink.Install(terminals.Get(1));
-    app.Start(Seconds(0.0));
+    app.Start(Seconds(0));
 
     //
     // Create a similar flow from n3 to n0, starting at time 1.1 seconds
@@ -181,10 +181,10 @@
     onoff.SetAttribute("Remote", AddressValue(InetSocketAddress(Ipv4Address("10.1.1.1"), port)));
     app = onoff.Install(terminals.Get(3));
     app.Start(Seconds(1.1));
-    app.Stop(Seconds(10.0));
+    app.Stop(Seconds(10));
 
     app = sink.Install(terminals.Get(0));
-    app.Start(Seconds(0.0));
+    app.Start(Seconds(0));
 
     NS_LOG_INFO("Configure Tracing.");
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/openflow/examples/openflow-switch.py ns-3.44/src/openflow/examples/openflow-switch.py
--- ns-3.43/src/openflow/examples/openflow-switch.py	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/openflow/examples/openflow-switch.py	2025-03-09 16:55:49.683372300 -0700
@@ -63,24 +63,24 @@
 
 app = onoff.Install(terminals.Get(0))
 
-app.Start(ns.Seconds(1.0))
-app.Stop(ns.Seconds(10.0))
+app.Start(ns.Seconds(1))
+app.Stop(ns.Seconds(10))
 
 sink = ns.PacketSinkHelper(
     "ns3::UdpSocketFactory", ns.InetSocketAddress(ns.Ipv4Address.GetAny(), port).ConvertTo()
 )
 app = sink.Install(terminals.Get(1))
-app.Start(ns.Seconds(0.0))
+app.Start(ns.Seconds(0))
 
 onoff.SetAttribute(
     "Remote", ns.AddressValue(ns.InetSocketAddress(ns.Ipv4Address("10.1.1.1"), port).ConvertTo())
 )
 app = onoff.Install(terminals.Get(3))
 app.Start(ns.Seconds(1.1))
-app.Stop(ns.Seconds(10.0))
+app.Stop(ns.Seconds(10))
 
 app = sink.Install(terminals.Get(0))
-app.Start(ns.Seconds(0.0))
+app.Start(ns.Seconds(0))
 
 ns.Simulator.Run()
 ns.Simulator.Destroy()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/openflow/helper/openflow-switch-helper.h ns-3.44/src/openflow/helper/openflow-switch-helper.h
--- ns-3.43/src/openflow/helper/openflow-switch-helper.h	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/openflow/helper/openflow-switch-helper.h	2025-03-09 16:55:49.683372300 -0700
@@ -22,7 +22,7 @@
 class Controller;
 
 /**
- * \brief Add capability to switch multiple LAN segments (IEEE 802.1D bridging)
+ * @brief Add capability to switch multiple LAN segments (IEEE 802.1D bridging)
  */
 class OpenFlowSwitchHelper
 {
@@ -36,8 +36,8 @@
      * Set an attribute on each ns3::OpenFlowSwitchNetDevice created by
      * OpenFlowSwitchHelper::Install
      *
-     * \param n1 the name of the attribute to set
-     * \param v1 the value of the attribute to set
+     * @param n1 the name of the attribute to set
+     * @param v1 the value of the attribute to set
      */
     void SetDeviceAttribute(std::string n1, const AttributeValue& v1);
 
@@ -48,10 +48,10 @@
      * switch, and sets up a controller connection using the provided
      * Controller.
      *
-     * \param node The node to install the device in
-     * \param c Container of NetDevices to add as switch ports
-     * \param controller The controller connection.
-     * \returns A container holding the added net device.
+     * @param node The node to install the device in
+     * @param c Container of NetDevices to add as switch ports
+     * @param controller The controller connection.
+     * @returns A container holding the added net device.
      */
     NetDeviceContainer Install(Ptr<Node> node,
                                NetDeviceContainer c,
@@ -63,9 +63,9 @@
      * to the node, and attaches the given NetDevices as ports of the
      * switch.
      *
-     * \param node The node to install the device in
-     * \param c Container of NetDevices to add as switch ports
-     * \returns A container holding the added net device.
+     * @param node The node to install the device in
+     * @param c Container of NetDevices to add as switch ports
+     * @returns A container holding the added net device.
      */
     NetDeviceContainer Install(Ptr<Node> node, NetDeviceContainer c);
 
@@ -75,9 +75,9 @@
      * to the node, and attaches the given NetDevices as ports of the
      * switch.
      *
-     * \param nodeName The name of the node to install the device in
-     * \param c Container of NetDevices to add as switch ports
-     * \returns A container holding the added net device.
+     * @param nodeName The name of the node to install the device in
+     * @param c Container of NetDevices to add as switch ports
+     * @returns A container holding the added net device.
      */
     NetDeviceContainer Install(std::string nodeName, NetDeviceContainer c);
 
